---
displayed_sidebar: jsClientSidebar
---

# Interface: AxiosAdapter

[internal](../modules/internal.md).AxiosAdapter

## Callable

### AxiosAdapter

▸ **AxiosAdapter**(`config`): [`AxiosPromise`](internal.AxiosPromise.md)<`any`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `config` | [`AxiosRequestConfig`](internal.AxiosRequestConfig.md)<`any`\> |

#### Returns

[`AxiosPromise`](internal.AxiosPromise.md)<`any`\>

#### Defined in

medusa-js/node_modules/axios/index.d.ts:18
